import matplotlib.pyplot as plt ; import numpy as n

#### Coordonnées des points en fonction du temps  ####
fic = open("Mouvement_Terre.csv",'r')                #
donnee=fic.readlines()                               #
x=[] ; y=[] ; dt = 10*86400 # 10 jours entre 2 points#
for point in donnee :                                #
    point=point.split() # chaque point est un triplet#
    if point[0][0].isnumeric():  # 
        x.append(float(point[1].replace(',','.')))   #
        y.append(float(point[2].replace(',','.')))   #
######################################################
###  Calcul de vx, vy et v pour le vecteur vitesse ###
vx=[] ; vy=[] ; v=[]                               #
for i in range(1,len(x)-1):                          #
    vx.append((x[i+1]-x[i-1])/(2*dt))                #
    vy.append((y[i+1]-y[i-1])/(2*dt))                #
    v.append((vx[-1]**2+vy[-1]**2)**0.5)             #
######################################################
##  Calcul de ax et ay pour le vecteur accélération ##
# TODO
########  Tracé des champs de vecteurs:  #############
vec_v=plt.quiver(x[1:-1],y[1:-1],vx,vy,color="green")#
plt.quiverkey(vec_v,X=0.7, Y=1.05, U=5e4,label='V')  #
                                                     #
vec_a=plt.quiver(x[2:-2],y[2:-2],ax,ay,color="blue") #
plt.quiverkey(vec_a,X=0.2, Y=1.05, U=1e-2,label='a') #
                                                     #
plt.plot(x,y,"ro") ; plt.axis('equal')               #
plt.show()                                           #
######################################################
###########     Traitement statistique     ###########
v = n.array(v) ; a = n.array(a) # données sous numpy #
# TODO
